#
# spec file for package gmp (Version 3.1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         gmp
Copyright:    GPL and LGPL
Group:        Development/Libraries
Provides:     gmp
Autoreqprov:  on
Version:      3.1.1
Release:      116
Summary:      GNU MP library
URL:          http://www.swox.com/gmp/
Source:       ftp://prep.ai.mit.edu/pub/gnu/gmp/gmp-%{version}.tar.bz2
Patch:        gmp-%{version}.dif
Patch1:       gmp-ia64.dif
BuildRoot:    /var/tmp/%{name}-BUILD

%description
Library for calculating huge numbers (integer and floating point).

Authors:
--------
    Torbjorn Granlund <tege@zevs.sics.se>

SuSE series: d

%prep
%setup
%patch
%patch1

%build
# %{?suse_update_config:%{suse_update_config -f}}
./configure --prefix=/usr \
            --host=%{_target_cpu}-suse-linux \
            --enable-mpbsd \
            --infodir=%{_infodir}
make CFLAGS="$RPM_OPT_FLAGS" CC=gcc
make CFLAGS="$RPM_OPT_FLAGS" CC=gcc check

%install
make install DESTDIR=${RPM_BUILD_ROOT}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS README NEWS ChangeLog demos
%doc %{_infodir}/gmp.info*.gz
/usr/lib/*
/usr/include/*

%changelog -n gmp
* Wed Aug 01 2001 - dan@suse.cz
- use bzip instead of gzip
* Wed Jun 13 2001 - bk@suse.de
- Add support for s390x and update s390 support
* Mon May 28 2001 - pblaha@suse.cz
- fix include on ia64
* Wed Nov 15 2000 - pblaha@suse.cz
- update to 3.1.1
* Tue Oct 10 2000 - schwab@suse.de
- Fix umul_ppm for ia64.
* Wed Jun 07 2000 - schwab@suse.de
- Recover ia64 support.
- Match "linux*" instead of "linux-gnu*".
* Wed May 31 2000 - smid@suse.cz
- upgrade to 3.0.1
* Mon May 15 2000 - schwab@suse.de
- Add basic support for ia64.
* Fri Apr 14 2000 - smid@suse.cz
- buildroot added
* Fri Apr 07 2000 - bk@suse.de
- added suse config update macro
* Thu Feb 10 2000 - kukuk@suse.de
- Move /usr/info -> /usr/share/info
* Tue Dec 14 1999 - kukuk@suse.de
- Create shared libraries (BUG#1508)
- Build libmp, too
- Add a lot of patches
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 03 1999 - uli@suse.de
- added patch for PPC
* Wed Sep 01 1999 - kukuk@suse.de
- Specfile cleanup
- Run make check
* Thu Jan 02 1997 - florian@suse.de
- update to version 2.0.2
